/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package org.sonar.commons;

import ch.hortis.sonar.model.*;

import java.util.Collection;
import java.util.List;

public interface RulesRepository {
  Collection<Rule> getRules();

  Collection<Rule> getRulesByCategory(RulesCategory categ);

  Collection<RulesCategory> getRulesCategories();

  RulesCategory getRulesCategory(Integer id);

  Rule getRuleByPluginKey(String key);

  RulesProfile getActiveProfile();

  Collection<Rule> getRulesActivatedByCategoryAndByLevel(RulesCategory rulesCat, RuleFailureLevel level);

  List<RuleFailure> getRuleFailures(Snapshot snapshot);
}
