/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package org.sonar.commons.database;

import javax.persistence.EntityManager;
import javax.persistence.Query;

public interface DatabaseManager {
  void start();

  void stop();

  EntityManager getEntityManager();

  Object save(Object model);

  Object merge(Object model);

  <T> T reattach(Class<T> entityClass, Object primaryKey);

  void commit();

  void rollback();

  Query createQuery(String hql);

  Query createNamedQuery(String hql);

  Object getSingleResult(Query query, Object defaultValue);
}
